/*
 * retarget_uart.h
 */

#ifndef RETARGET__H_
#define RETARGET_H_

#define ITM   0
#define UART  1

#define RETARGRT   UART  /* select the re-target peripheral */
#define UART_CHANNEL  0U
/*
 * select the UART PAL instance and configuration for the console re-target implementation
 */

#ifdef S32K3_WB
#define CONSOLE_UART_INST  LPUART_IP_0
#define CONSOLE_UART_CONFIG   &Lpuart_Uart_Ip_pHwConfigPB_0_BOARD_INITPERIPHERALS
#endif

#ifdef S32K3_EVB
//#define CONSOLE_UART_INST  LPUART_IP_13
//#define CONSOLE_UART_CONFIG   &Lpuart_Uart_Ip_pHwConfigPB_13_BOARD_INITPERIPHERALS
#endif





void Console_SerialPort_Init(void);

#endif /* RETARGET_H_ */
