/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v8.0
processor: S32K344
package_id: S32K344_257BGA
mcu_data: PlatformSDK_S32K3_2021_03
processor_version: 0.0.0
pin_labels:
- {pin_num: H17, pin_signal: PTB12, label: LED, identifier: PIN;LED}
- {pin_num: P1, pin_signal: PTA31, label: RGBLED0_BLUE, identifier: RGBLED0_BLUE}
- {pin_num: P15, pin_signal: PTC26, label: LPUART13_TX, identifier: LPUART13_TX}
- {pin_num: R16, pin_signal: PTC27, label: LPUART13_RX, identifier: LPUART13_RX}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "Siul2_Port_Ip_Cfg.h"

/* clang-format off */

/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: core0}
- pin_list:
  - {pin_num: P1, peripheral: SIUL2, signal: 'gpio, 31', pin_signal: PTA31, direction: OUTPUT}
  - {pin_num: R16, peripheral: LPUART_13, signal: lpuart_rx, pin_signal: PTC27}
  - {pin_num: P15, peripheral: LPUART_13, signal: lpuart_tx, pin_signal: PTC26, direction: OUTPUT}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/*! @brief Array of pin configuration structures */
Siul2_Port_Ip_PinSettingsConfig g_pin_mux_InitConfigArr0[NUM_OF_CONFIGURED_PINS0] =
{
    {
        .base                        = SIUL2,
        .pinPortIdx                  = 31u,
        .mux                         = PORT_MUX_AS_GPIO,
        .safeMode                    = PORT_SAFE_MODE_DISABLED,
        .inputFilter                 = PORT_INPUT_FILTER_DISABLED,
        .driveStrength               = PORT_DRIVE_STRENTGTH_DISABLED,
        .pullConfig                  = PORT_INTERNAL_PULL_NOT_ENABLED,
        .slewRateCtrlSel             = PORT_SLEW_RATE_FASTEST,
        .pullKeep                    = PORT_PULL_KEEP_DISABLED,
        .invert                      = PORT_INVERT_DISABLED,
        .inputBuffer                 = PORT_INPUT_BUFFER_DISABLED,
        .outputBuffer                = PORT_OUTPUT_BUFFER_ENABLED,
        .initValue                   = 0u
    },
    {
        .base                        = SIUL2,
        .pinPortIdx                  = 91u,
        .mux                         = PORT_MUX_AS_GPIO,
        .safeMode                    = PORT_SAFE_MODE_DISABLED,
        .inputFilter                 = PORT_INPUT_FILTER_DISABLED,
        .driveStrength               = PORT_DRIVE_STRENTGTH_DISABLED,
        .pullConfig                  = PORT_INTERNAL_PULL_NOT_ENABLED,
        .slewRateCtrlSel             = PORT_SLEW_RATE_FASTEST,
        .pullKeep                    = PORT_PULL_KEEP_DISABLED,
        .invert                      = PORT_INVERT_DISABLED,
        .inputBuffer                 = PORT_INPUT_BUFFER_ENABLED,
        .outputBuffer                = PORT_OUTPUT_BUFFER_DISABLED,
        .inputMux[0]                 = PORT_INPUT_MUX_ALT2,
        .inputMuxReg[0]              = 200u,
        .inputMux[1]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[2]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[3]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[4]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[5]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[6]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[7]                 = PORT_INPUT_MUX_NO_INIT,
    },
    {
        .base                        = SIUL2,
        .pinPortIdx                  = 90u,
        .mux                         = PORT_MUX_ALT1,
        .safeMode                    = PORT_SAFE_MODE_DISABLED,
        .inputFilter                 = PORT_INPUT_FILTER_DISABLED,
        .driveStrength               = PORT_DRIVE_STRENTGTH_DISABLED,
        .pullConfig                  = PORT_INTERNAL_PULL_NOT_ENABLED,
        .slewRateCtrlSel             = PORT_SLEW_RATE_FASTEST,
        .pullKeep                    = PORT_PULL_KEEP_DISABLED,
        .invert                      = PORT_INVERT_DISABLED,
        .inputBuffer                 = PORT_INPUT_BUFFER_DISABLED,
        .outputBuffer                = PORT_OUTPUT_BUFFER_ENABLED,
    },
};

